<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.railway.business.catenary.mapper.BusJcbFdfxjyqMapper">

  <resultMap id="BaseResultMap" type="com.railway.business.catenary.domain.BusJcbFdfxjyq">
    <result column="id" property="id"/>
    <result column="fdfxjyq_id" property="fdfxjyqId"/>
    <result column="dept_id" property="deptId"/>
    <result column="dept_name" property="deptName"/>
    <result column="station_id" property="stationId"/>
    <result column="station_name" property="stationName"/>
    <result column="dept_station_id" property="deptStationId"/>
    <result column="pillar_code" property="pillarCode"/>
    <result column="fdh" property="fdh"/>
    <result column="temperature" property="temperature"/>
    <result column="check_date" property="checkDate"/>
    <result column="pic_url" property="picUrl"/>
    <result column="point_a" property="pointA"/>
    <result column="point_b" property="pointB"/>
    <result column="point_c" property="pointC"/>
    <result column="point_d" property="pointD"/>
    <result column="point_e" property="pointE"/>
    <result column="point_f" property="pointF"/>
    <result column="point_g" property="pointG"/>
    <result column="point_h" property="pointH"/>
    <result column="point_b_pull" property="pointBPull"/>
    <result column="point_g_pull" property="pointGPull"/>
    <result column="fcd" property="fcd"/>
    <result column="fddmpsd" property="fddmpsd"/>
    <result column="jybj_fdjyqzjyzt" property="jybjFdjyqzjyzt"/>
    <result column="jybj_fdjyqzjyzt_desc" property="jybjFdjyqzjyztDesc"/>
    <result column="jybj_clsjyzzt" property="jybjClsjyzzt"/>
    <result column="jybj_clsjyzzt_desc" property="jybjClsjyzztDesc"/>
    <result column="lbjzt_ls" property="lbjztLs"/>
    <result column="lbjzt_ls_desc" property="lbjztLsDesc"/>
    <result column="lbjzt_xdx" property="lbjztXdx"/>
    <result column="lbjzt_xdx_desc" property="lbjztXdxDesc"/>
    <result column="lbjzt_phzj" property="lbjztPhzj"/>
    <result column="lbjzt_phzj_desc" property="lbjztPhzjDesc"/>
    <result column="lbjzt_jcxjt" property="lbjztJcxjt"/>
    <result column="lbjzt_jcxjt_desc" property="lbjztJcxjtDesc"/>
    <result column="lbjzt_xhj" property="lbjztXhj"/>
    <result column="lbjzt_xhj_desc" property="lbjztXhjDesc"/>
    <result column="sbzt" property="sbzt"/>
    <result column="sbzt_desc" property="sbztDesc"/>
    <result column="check_user" property="checkUser"/>
    <result column="confirm_user" property="confirmUser"/>
    <result column="confirm_user_real_name" property="confirmUserRealName"/>
    <result column="czwt" property="czwt"/>
    <result column="create_by" property="createBy"/>
    <result column="create_time" property="createTime"/>
    <result column="update_by" property="updateBy"/>
    <result column="update_time" property="updateTime"/>
    <result column="submit_state" property="submitState"/>
    <result column="del_flag" property="delFlag"/>
    <result column="xlfd_xlpd" property="xlfdXlpd"/>
    <result column="xlfd_wgdg" property="xlfdWgdg"/>
    <result column="xlfd_fdsxlqj" property="xlfdFdsxlqj"/>
    <result column="xlfd_fdczxlqj" property="xlfdFdczxlqj"/>
    <result column="sdgjczt_sddg" property="sdgjcztSddg"/>
    <result column="sdgjczt_sddg_desc" property="sdgjcztSddgDesc"/>
  </resultMap>

  <sql id="Base_Column_List">
    t.id,
    t.fdfxjyq_id,
    b.dept_station_id,
    v.dept_id,
    v.dept_name,
    v.station_id,
    v.station_name,
    b.pillar_area pillar_code,
    b.dch fdh,
    t.temperature,
    t.check_date,
    t.pic_url,
    t.point_a,
    t.point_b,
    t.point_c,
    t.point_d,
    t.point_e,
    t.point_f,
    t.point_g,
    t.point_h,
    t.point_b_pull,
    t.point_g_pull,
    t.fcd,
    t.fddmpsd,
    t.jybj_fdjyqzjyzt,
    t.jybj_fdjyqzjyzt_desc,
    t.jybj_clsjyzzt,
    t.jybj_clsjyzzt_desc,
    t.lbjzt_ls,
    t.lbjzt_ls_desc,
    t.lbjzt_xdx,
    t.lbjzt_xdx_desc,
    t.lbjzt_phzj,
    t.lbjzt_phzj_desc,
    t.lbjzt_jcxjt,
    t.lbjzt_jcxjt_desc,
    t.lbjzt_xhj,
    t.lbjzt_xhj_desc,
    t.sbzt,
    t.sbzt_desc,
    t.check_user,
    t.confirm_user,
    t.czwt,
    t.create_by,
    t.create_time,
    t.update_by,
    t.update_time,
    t.submit_state,
    t.del_flag,
    t.xlfd_xlpd,
    t.xlfd_wgdg,
    t.xlfd_fdsxlqj,
    t.xlfd_fdczxlqj,
    t.sdgjczt_sddg,
    t.sdgjczt_sddg_desc
  </sql>

  <insert id="insert" parameterType="com.railway.business.catenary.domain.BusJcbFdfxjyq">
    INSERT INTO bus_jcb_fdfxjyq
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test='null != fdfxjyqId'>
        fdfxjyq_id,
      </if>
      <if test='null != deptStationId'>
        dept_station_id,
      </if>
      <if test='null != pillarCode'>
        pillar_code,
      </if>
      <if test='null != fdh'>
        fdh,
      </if>
      <if test='null != temperature'>
        temperature,
      </if>
      <if test='null != checkDate'>
        check_date,
      </if>
      <if test='null != picUrl'>
        pic_url,
      </if>
      <if test='null != pointA'>
        point_a,
      </if>
      <if test='null != pointB'>
        point_b,
      </if>
      <if test='null != pointC'>
        point_c,
      </if>
      <if test='null != pointD'>
        point_d,
      </if>
      <if test='null != pointE'>
        point_e,
      </if>
      <if test='null != pointF'>
        point_f,
      </if>
      <if test='null != pointG'>
        point_g,
      </if>
      <if test='null != pointH'>
        point_h,
      </if>
      <if test='null != pointBPull'>
        point_b_pull,
      </if>
      <if test='null != pointGPull'>
        point_g_pull,
      </if>
      <if test='null != fcd'>
        fcd,
      </if>
      <if test='null != fddmpsd'>
        fddmpsd,
      </if>
      <if test='null != jybjFdjyqzjyzt'>
        jybj_fdjyqzjyzt,
      </if>
      <if test='null != jybjFdjyqzjyztDesc'>
        jybj_fdjyqzjyzt_desc,
      </if>
      <if test='null != jybjClsjyzzt'>
        jybj_clsjyzzt,
      </if>
      <if test='null != jybjClsjyzztDesc'>
        jybj_clsjyzzt_desc,
      </if>
      <if test='null != lbjztLs'>
        lbjzt_ls,
      </if>
      <if test='null != lbjztLsDesc'>
        lbjzt_ls_desc,
      </if>
      <if test='null != lbjztXdx'>
        lbjzt_xdx,
      </if>
      <if test='null != lbjztXdxDesc'>
        lbjzt_xdx_desc,
      </if>
      <if test='null != lbjztPhzj'>
        lbjzt_phzj,
      </if>
      <if test='null != lbjztPhzjDesc'>
        lbjzt_phzj_desc,
      </if>
      <if test='null != lbjztJcxjt'>
        lbjzt_jcxjt,
      </if>
      <if test='null != lbjztJcxjtDesc'>
        lbjzt_jcxjt_desc,
      </if>
      <if test='null != lbjztXhj'>
        lbjzt_xhj,
      </if>
      <if test='null != lbjztXhjDesc'>
        lbjzt_xhj_desc,
      </if>
      <if test='null != sbzt'>
        sbzt,
      </if>
      <if test='null != sbztDesc'>
        sbzt_desc,
      </if>
      <if test='null != checkUser'>
        check_user,
      </if>
      <if test='null != confirmUser'>
        confirm_user,
      </if>
      <if test='null != czwt'>
        czwt,
      </if>
      <if test='null != createBy'>
        create_by,
      </if>
      <if test='null != createTime'>
        create_time,
      </if>
      <if test='null != updateBy'>
        update_by,
      </if>
      <if test='null != updateTime'>
        update_time,
      </if>
      <if test='null != submitState'>
        submit_state,
      </if>
      <if test='null != delFlag'>
        del_flag,
      </if>
      <if test='null != xlfdXlpd'>
        xlfd_xlpd,
      </if>
      <if test='null != xlfdWgdg'>
        xlfd_wgdg,
      </if>
      <if test='null != xlfdFdsxlqj'>
        xlfd_fdsxlqj,
      </if>
      <if test='null != xlfdFdczxlqj'>
        xlfd_fdczxlqj,
      </if>
      <if test='null != sdgjcztSddg'>
        sdgjczt_sddg,
      </if>
      <if test='null != sdgjcztSddgDesc'>
        sdgjczt_sddg_desc
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test='null != fdfxjyqId'>
        #{fdfxjyqId},
      </if>
      <if test='null != deptStationId'>
        #{deptStationId},
      </if>
      <if test='null != pillarCode'>
        #{pillarCode},
      </if>
      <if test='null != fdh'>
        #{fdh},
      </if>
      <if test='null != temperature'>
        #{temperature},
      </if>
      <if test='null != checkDate'>
        #{checkDate},
      </if>
      <if test='null != picUrl'>
        #{picUrl},
      </if>
      <if test='null != pointA'>
        #{pointA},
      </if>
      <if test='null != pointB'>
        #{pointB},
      </if>
      <if test='null != pointC'>
        #{pointC},
      </if>
      <if test='null != pointD'>
        #{pointD},
      </if>
      <if test='null != pointE'>
        #{pointE},
      </if>
      <if test='null != pointF'>
        #{pointF},
      </if>
      <if test='null != pointG'>
        #{pointG},
      </if>
      <if test='null != pointH'>
        #{pointH},
      </if>
      <if test='null != pointBPull'>
        #{pointBPull},
      </if>
      <if test='null != pointGPull'>
        #{pointGPull},
      </if>
      <if test='null != fcd'>
        #{fcd},
      </if>
      <if test='null != fddmpsd'>
        #{fddmpsd},
      </if>
      <if test='null != jybjFdjyqzjyzt'>
        #{jybjFdjyqzjyzt},
      </if>
      <if test='null != jybjFdjyqzjyztDesc'>
        #{jybjFdjyqzjyztDesc},
      </if>
      <if test='null != jybjClsjyzzt'>
        #{jybjClsjyzzt},
      </if>
      <if test='null != jybjClsjyzztDesc'>
        #{jybjClsjyzztDesc},
      </if>
      <if test='null != lbjztLs'>
        #{lbjztLs},
      </if>
      <if test='null != lbjztLsDesc'>
        #{lbjztLsDesc},
      </if>
      <if test='null != lbjztXdx'>
        #{lbjztXdx},
      </if>
      <if test='null != lbjztXdxDesc'>
        #{lbjztXdxDesc},
      </if>
      <if test='null != lbjztPhzj'>
        #{lbjztPhzj},
      </if>
      <if test='null != lbjztPhzjDesc'>
        #{lbjztPhzjDesc},
      </if>
      <if test='null != lbjztJcxjt'>
        #{lbjztJcxjt},
      </if>
      <if test='null != lbjztJcxjtDesc'>
        #{lbjztJcxjtDesc},
      </if>
      <if test='null != lbjztXhj'>
        #{lbjztXhj},
      </if>
      <if test='null != lbjztXhjDesc'>
        #{lbjztXhjDesc},
      </if>
      <if test='null != sbzt'>
        #{sbzt},
      </if>
      <if test='null != sbztDesc'>
        #{sbztDesc},
      </if>
      <if test='null != checkUser'>
        #{checkUser},
      </if>
      <if test='null != confirmUser'>
        #{confirmUser},
      </if>
      <if test='null != czwt'>
        #{czwt},
      </if>
      <if test='null != createBy'>
        #{createBy},
      </if>
      <if test='null != createTime'>
        #{createTime},
      </if>
      <if test='null != updateBy'>
        #{updateBy},
      </if>
      <if test='null != updateTime'>
        #{updateTime},
      </if>
      <if test='null != submitState'>
        #{submitState},
      </if>
      <if test='null != delFlag'>
        #{delFlag},
      </if>
      <if test='null != xlfdXlpd'>
        #{xlfdXlpd},
      </if>
      <if test='null != xlfdWgdg'>
        #{xlfdWgdg},
      </if>
      <if test='null != xlfdFdsxlqj'>
        #{xlfdFdsxlqj},
      </if>
      <if test='null != xlfdFdczxlqj'>
        #{xlfdFdczxlqj},
      </if>
      <if test='null != sdgjcztSddg'>
        #{sdgjcztSddg},
      </if>
      <if test='null != sdgjcztSddgDesc'>
        #{sdgjcztSddgDesc}
      </if>
    </trim>
  </insert>

  <delete id="delete">
    UPDATE bus_jcb_fdfxjyq
    set del_flag='1'
    WHERE id = #{id}
  </delete>

  <update id="update" parameterType="com.railway.business.catenary.domain.BusJcbFdfxjyq">
    UPDATE bus_jcb_fdfxjyq
    <set>
      <if test='null != fdfxjyqId'>fdfxjyq_id = #{fdfxjyqId},</if>
      <if test='null != deptStationId'>dept_station_id = #{deptStationId},</if>
      <if test='null != pillarCode'>pillar_code = #{pillarCode},</if>
      <if test='null != fdh'>fdh = #{fdh},</if>
      <if test='null != temperature'>temperature = #{temperature},</if>
      <if test='null != checkDate'>check_date = #{checkDate},</if>
      <if test='null != picUrl'>pic_url = #{picUrl},</if>
      <if test='null != pointA'>point_a = #{pointA},</if>
      <if test='null != pointB'>point_b = #{pointB},</if>
      <if test='null != pointC'>point_c = #{pointC},</if>
      <if test='null != pointD'>point_d = #{pointD},</if>
      <if test='null != pointE'>point_e = #{pointE},</if>
      <if test='null != pointF'>point_f = #{pointF},</if>
      <if test='null != pointG'>point_g = #{pointG},</if>
      <if test='null != pointH'>point_h = #{pointH},</if>
      <if test='null != pointBPull'>point_b_pull = #{pointBPull},</if>
      <if test='null != pointGPull'>point_g_pull = #{pointGPull},</if>
      <if test='null != fcd'>fcd = #{fcd},</if>
      <if test='null != fddmpsd'>fddmpsd = #{fddmpsd},</if>
      <if test='null != jybjFdjyqzjyzt'>jybj_fdjyqzjyzt = #{jybjFdjyqzjyzt},</if>
      <if test='null != jybjFdjyqzjyztDesc'>jybj_fdjyqzjyzt_desc = #{jybjFdjyqzjyztDesc},</if>
      <if test='null != jybjClsjyzzt'>jybj_clsjyzzt = #{jybjClsjyzzt},</if>
      <if test='null != jybjClsjyzztDesc'>jybj_clsjyzzt_desc = #{jybjClsjyzztDesc},</if>
      <if test='null != lbjztLs'>lbjzt_ls = #{lbjztLs},</if>
      <if test='null != lbjztLsDesc'>lbjzt_ls_desc = #{lbjztLsDesc},</if>
      <if test='null != lbjztXdx'>lbjzt_xdx = #{lbjztXdx},</if>
      <if test='null != lbjztXdxDesc'>lbjzt_xdx_desc = #{lbjztXdxDesc},</if>
      <if test='null != lbjztPhzj'>lbjzt_phzj = #{lbjztPhzj},</if>
      <if test='null != lbjztPhzjDesc'>lbjzt_phzj_desc = #{lbjztPhzjDesc},</if>
      <if test='null != lbjztJcxjt'>lbjzt_jcxjt = #{lbjztJcxjt},</if>
      <if test='null != lbjztJcxjtDesc'>lbjzt_jcxjt_desc = #{lbjztJcxjtDesc},</if>
      <if test='null != lbjztXhj'>lbjzt_xhj = #{lbjztXhj},</if>
      <if test='null != lbjztXhjDesc'>lbjzt_xhj_desc = #{lbjztXhjDesc},</if>
      <if test='null != sbzt'>sbzt = #{sbzt},</if>
      <if test='null != sbztDesc'>sbzt_desc = #{sbztDesc},</if>
      <if test='null != checkUser'>check_user = #{checkUser},</if>
      <if test='null != confirmUser'>confirm_user = #{confirmUser},</if>
      <if test='null != czwt'>czwt = #{czwt},</if>
      <if test='null != updateBy'>update_by = #{updateBy},</if>
      <if test='null != updateTime'>update_time = #{updateTime},</if>
      <if test='null != submitState'>submit_state = #{submitState},</if>
      <if test='null != delFlag'>del_flag = #{delFlag},</if>
      <if test='null != xlfdXlpd'>xlfd_xlpd=#{xlfdXlpd},</if>
      <if test='null != xlfdWgdg'>xlfd_wgdg=#{xlfdWgdg},</if>
      <if test='null != xlfdFdsxlqj'>xlfd_fdsxlqj=#{xlfdFdsxlqj},</if>
      <if test='null != xlfdFdczxlqj'>xlfd_fdczxlqj=#{xlfdFdczxlqj},</if>
      <if test='null != sdgjcztSddg'>sdgjczt_sddg=#{sdgjcztSddg},</if>
      <if test='null != sdgjcztSddgDesc'>sdgjczt_sddg_desc=#{sdgjcztSddgDesc}</if>
    </set>
    WHERE id = #{id}
  </update>


  <select id="getInfo" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List"/>,u.real_name confirm_user_real_name
    FROM
    bus_jcb_fdfxjyq t
    left join base_fdfxjyq b on t.fdfxjyq_id = b.id
    LEFT JOIN v_station v on b.dept_station_id = v.dept_station_id
    LEFT JOIN sys_user u on t.confirm_user = u.user_name
    where t.del_flag='0' and b.del_flag='0' and b.del_flag='0' and t.id = #{id}

  </select>

  <select id="getList" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List"/>
    FROM
    bus_jcb_fdfxjyq t
    left join base_fdfxjyq b on t.fdfxjyq_id = b.id
    LEFT JOIN v_station v on b.dept_station_id = v.dept_station_id
    <where>
      and t.del_flag='0' and b.del_flag='0'
      <if test="fdfxjyqId!=null and fdfxjyqId!=''">
        and t.fdfxjyq_id=#{fdfxjyqId}
      </if>
      <if test="deptId!=null and deptId!=''">
        and v.dept_id=#{deptId}
      </if>
      <if test="stationId!=null and stationId!=''">
        and v.station_id=#{stationId}
      </if>
      <if test="stationIds!=null and stationIds.length > 0">
        and v.station_id in
        <foreach collection="stationIds" item="stationId" index="i" open="(" separator="," close=")">
          #{stationId}
        </foreach>
      </if>
      <if test="pillarCode!=null and pillarCode!=''">
        and t.pillar_code=#{pillarCode}
      </if>
      <if test="fdh!=null and fdh!=''">
        and t.fdh=#{fdh}
      </if>
      <if test="temperature!=null and temperature!=''">
        and t.temperature=#{temperature}
      </if>
      <if test="checkDate!=null">
        and t.check_date=#{checkDate}
      </if>
      <if test="picUrl!=null and picUrl!=''">
        and t.pic_url=#{picUrl}
      </if>
      <if test="pointA!=null and pointA!=''">
        and t.point_a=#{pointA}
      </if>
      <if test="pointB!=null and pointB!=''">
        and t.point_b=#{pointB}
      </if>
      <if test="pointC!=null and pointC!=''">
        and t.point_c=#{pointC}
      </if>
      <if test="pointD!=null and pointD!=''">
        and t.point_d=#{pointD}
      </if>
      <if test="pointE!=null and pointE!=''">
        and t.point_e=#{pointE}
      </if>
      <if test="pointF!=null and pointF!=''">
        and t.point_f=#{pointF}
      </if>
      <if test="pointG!=null and pointG!=''">
        and t.point_g=#{pointG}
      </if>
      <if test="pointH!=null and pointH!=''">
        and t.point_h=#{pointH}
      </if>
      <if test="pointBPull!=null and pointBPull!=''">
        and t.point_b_pull=#{pointBPull}
      </if>
      <if test="pointGPull!=null and pointGPull!=''">
        and t.point_g_pull=#{pointGPull}
      </if>
      <if test="fcd!=null and fcd!=''">
        and t.fcd=#{fcd}
      </if>
      <if test="fddmpsd!=null and fddmpsd!=''">
        and t.fddmpsd=#{fddmpsd}
      </if>
      <if test="jybjFdjyqzjyzt!=null and jybjFdjyqzjyzt!=''">
        and t.jybj_fdjyqzjyzt=#{jybjFdjyqzjyzt}
      </if>
      <if test="jybjFdjyqzjyztDesc!=null and jybjFdjyqzjyztDesc!=''">
        and t.jybj_fdjyqzjyzt_desc=#{jybjFdjyqzjyztDesc}
      </if>
      <if test="jybjClsjyzzt!=null and jybjClsjyzzt!=''">
        and t.jybj_clsjyzzt=#{jybjClsjyzzt}
      </if>
      <if test="jybjClsjyzztDesc!=null and jybjClsjyzztDesc!=''">
        and t.jybj_clsjyzzt_desc=#{jybjClsjyzztDesc}
      </if>
      <if test="lbjztLs!=null and lbjztLs!=''">
        and t.lbjzt_ls=#{lbjztLs}
      </if>
      <if test="lbjztLsDesc!=null and lbjztLsDesc!=''">
        and t.lbjzt_ls_desc=#{lbjztLsDesc}
      </if>
      <if test="lbjztXdx!=null and lbjztXdx!=''">
        and t.lbjzt_xdx=#{lbjztXdx}
      </if>
      <if test="lbjztXdxDesc!=null and lbjztXdxDesc!=''">
        and t.lbjzt_xdx_desc=#{lbjztXdxDesc}
      </if>
      <if test="lbjztPhzj!=null and lbjztPhzj!=''">
        and t.lbjzt_phzj=#{lbjztPhzj}
      </if>
      <if test="lbjztPhzjDesc!=null and lbjztPhzjDesc!=''">
        and t.lbjzt_phzj_desc=#{lbjztPhzjDesc}
      </if>
      <if test="lbjztJcxjt!=null and lbjztJcxjt!=''">
        and t.lbjzt_jcxjt=#{lbjztJcxjt}
      </if>
      <if test="lbjztJcxjtDesc!=null and lbjztJcxjtDesc!=''">
        and t.lbjzt_jcxjt_desc=#{lbjztJcxjtDesc}
      </if>
      <if test="lbjztXhj!=null and lbjztXhj!=''">
        and t.lbjzt_xhj=#{lbjztXhj}
      </if>
      <if test="lbjztXhjDesc!=null and lbjztXhjDesc!=''">
        and t.lbjzt_xhj_desc=#{lbjztXhjDesc}
      </if>
      <if test="sbzt!=null and sbzt!=''">
        and t.sbzt=#{sbzt}
      </if>
      <if test="sbztDesc!=null and sbztDesc!=''">
        and t.sbzt_desc=#{sbztDesc}
      </if>
      <if test="checkUser!=null and checkUser!=''">
        and t.check_user like concat('%', #{checkUser}, '%')
      </if>
      <if test="confirmUser!=null and confirmUser!=''">
        and t.confirm_user=#{confirmUser}
      </if>
      <if test="czwt!=null and czwt!=''">
        and t.czwt=#{czwt}
      </if>
      <if test="createBy!=null and createBy!=''">
        and t.create_by=#{createBy}
      </if>
      <if test="createTime!=null">
        and DATE_FORMAT(t.create_time, '%Y-%m-%d') = #{createTime}
      </if>
      <if test="updateBy!=null and updateBy!=''">
        and t.update_by=#{updateBy}
      </if>
      <if test="updateTime!=null">
        and DATE_FORMAT(t.update_time, '%Y-%m-%d') = #{updateTime}
      </if>
      <if test="submitState!=null and submitState!=''">
        and t.submit_state <![CDATA[ >= ]]> #{submitState}
      </if>
      <if test="delFlag!=null and delFlag!=''">
        and t.del_flag=#{delFlag}
      </if>
      <if test="xlfdXlpd!=null and xlfdXlpd!=''">
        and t.xlfd_xlpd=#{xlfdXlpd}
      </if>
      <if test="xlfdWgdg!=null and xlfdWgdg!=''">
        and t.xlfd_wgdg=#{xlfdWgdg}
      </if>
      <if test="xlfdFdsxlqj!=null and xlfdFdsxlqj!=''">
        and t.xlfd_fdsxlqj=#{xlfdFdsxlqj}
      </if>
      <if test="xlfdFdczxlqj!=null and xlfdFdczxlqj!=''">
        and t.xlfd_fdczxlqj=#{xlfdFdczxlqj}
      </if>
      <if test="sdgjcztSddg!=null and sdgjcztSddg!=''">
        and t.sdgjczt_sddg=#{sdgjcztSddg}
      </if>
      <if test="sdgjcztSddgDesc!=null and sdgjcztSddgDesc!=''">
        and t.sdgjczt_sddg_desc=#{sdgjcztSddgDesc}
      </if>
    </where>
    <if test="orderBy!=null and orderBy!=''">
      order by t.${orderBy}
    </if>
    <if test="isAsc!=null and isAsc!=''">
      <if test="isAsc == '1'.toString()">
        asc
      </if>
      <if test="isAsc == '0'.toString()">
        desc
      </if>
    </if>
  </select>

  <select id="getLastOne" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List"/>
    FROM
    bus_jcb_fdfxjyq t
    left join base_fdfxjyq b on t.fdfxjyq_id = b.id
    LEFT JOIN v_station v on b.dept_station_id = v.dept_station_id
    where t.del_flag='0' and b.del_flag='0' and b.del_flag='0'
    and t.submit_state = '1'and t.del_flag = '0'
    <if test="stationId!=null and stationId!=''">
      and v.station_id=#{stationId}
    </if>
    <if test="pillarCode!=null and pillarCode!=''">
      and t.pillar_code=#{pillarCode}
    </if>
    <if test="fdh!=null and fdh!=''">
      and t.fdh=#{fdh}
    </if>
    <if test="fdfxjyqId!=null and fdfxjyqId!=''">
      and t.fdfxjyq_id=#{fdfxjyqId}
    </if>

    ORDER BY
    update_time DESC
    LIMIT 1
  </select>

  <select id="getJcebList" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List"/>
    FROM
    bus_jcb_fdfxjyq t
    left join base_fdfxjyq b on t.fdfxjyq_id = b.id
    LEFT JOIN v_station v on b.dept_station_id = v.dept_station_id
    <where>
      t.del_flag='0'
      <if test="submitState!=null and submitState!=''">
        and t.submit_state <![CDATA[ >= ]]> #{submitState}
      </if>
      <if test="deptId!=null and deptId!=''">
        and v.dept_id=#{deptId}
      </if>
      <if test="stationId!=null and stationId!=''">
        and v.station_id=#{stationId}
      </if>
      <if test="stationIds!=null and stationIds.length > 0">
        and v.station_id in
        <foreach collection="stationIds" item="stationId" index="i" open="(" separator="," close=")">
          #{stationId}
        </foreach>
      </if>
      <if test="pillarCode!=null and pillarCode!=''">
        and t.pillar_code=#{pillarCode}
      </if>
      <if test="operator!=null and operator!=''">
        and t.check_user like concat('%', #{operator}, '%')
      </if>
      <if test="createBy!=null and createBy!=''">
        and t.create_by=#{createBy}
      </if>
      <if test="operationDate!=null">
        and t.check_date=#{operationDate}
      </if>
    </where>
  </select>

  <resultMap id="JcabResultMap" type="com.railway.business.catenary.domain.vo.JcebRecordVo">
    <result column="id" property="id"/>
    <result column="dept_name" property="deptName"/>
    <result column="station_name" property="stationName"/>
    <result column="check_date" property="operationDate"/>
    <result column="check_user" property="operator"/>
    <result column="jcebType" property="jcebType"/>
  </resultMap>

  <select id="getListByType" resultMap="JcabResultMap">
    SELECT t.id, v.dept_name, v.station_name, t.check_date, t.check_user, #{jcebType} as jcebType
    FROM bus_jcb_fdfxjyq t
    LEFT JOIN v_station v on t.dept_station_id = v.dept_station_id
    <where>
      t.del_flag='0'
      <if test="submitState!=null and submitState!=''">
        and t.submit_state <![CDATA[ >= ]]> #{submitState}
      </if>
      <if test="deptId!=null and deptId!=''">
        and v.dept_id=#{deptId}
      </if>
      <if test="stationId!=null and stationId!=''">
        and v.station_id=#{stationId}
      </if>
      <if test="pillarCode!=null and pillarCode!=''">
        and t.pillar_code=#{pillarCode}
      </if>
      <if test="operator!=null and operator!=''">
        and t.check_user like concat('%', #{operator}, '%')
      </if>
      <if test="createBy!=null and createBy!=''">
        and t.create_by=#{createBy}
      </if>
      <if test="operationDate!=null">
        and t.check_date=#{operationDate}
      </if>
    </where>
  </select>

  <resultMap id="JcabCountResultMap" type="com.railway.business.catenary.domain.vo.JcebCountVo">
    <result column="c" property="count"/>
    <result column="check_date" property="operationDate"/>
  </resultMap>

  <select id="getCountByType" resultMap="JcabCountResultMap">
    SELECT count(*) c, max(t.check_date) as check_date
    FROM bus_jcb_fdfxjyq t
    LEFT JOIN v_station v on t.dept_station_id = v.dept_station_id
    <where>
      t.del_flag='0'
      <if test="submitState!=null and submitState!=''">
        and t.submit_state <![CDATA[ >= ]]> #{submitState}
      </if>
      <if test="deptId!=null and deptId!=''">
        and v.dept_id=#{deptId}
      </if>
      <if test="stationId!=null and stationId!=''">
        and v.station_id=#{stationId}
      </if>
      <if test="stationIds!=null and stationIds.length > 0">
        and v.station_id in
        <foreach collection="stationIds" item="stationId" index="i" open="(" separator="," close=")">
          #{stationId}
        </foreach>
      </if>
      <if test="pillarCode!=null and pillarCode!=''">
        and t.pillar_code=#{pillarCode}
      </if>
      <if test="operator!=null and operator!=''">
        and t.check_user like concat('%', #{operator}, '%')
      </if>
      <if test="createBy!=null and createBy!=''">
        and t.create_by=#{createBy}
      </if>
      <if test="operationDate!=null">
        and t.check_date=#{operationDate}
      </if>
    </where>
  </select>

  <resultMap id="JcabStationMap" type="com.railway.business.catenary.domain.vo.JcebStationVo">
    <result column="station_name" property="stationName"/>
    <result column="station_id" property="stationId"/>
  </resultMap>

  <select id="listStation" resultMap="JcabStationMap">
    SELECT distinct v.station_id, v.station_name
    FROM base_fdfxjyq t
    LEFT JOIN v_station v on t.dept_station_id = v.dept_station_id
    <where>
      t.del_flag='0'
      <if test="deptId!=null and deptId!=''">
        and v.dept_id=#{deptId}
      </if>
    </where>
  </select>

</mapper>